summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Alan Alberghini2012-04-20 22:15:29 +0200
committer dsomero2012-04-20 22:18:06 +0200
commit5566b890b4dcc25dc071cace0d5b93ad254b4891 (patch)
tree73b7f094fe411f6a0395c9812e1d6c2eb02d256c /office
parent64cf3031faa0047300411d240df82fa85dfb7c12 (diff)
downloadslackbuilds-5566b890b4dcc25dc071cace0d5b93ad254b4891.tar.gz
office/sofastats: Added (Statistics Open For All)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/sofastats/README7
-rw-r--r--office/sofastats/slack-desc19
-rw-r--r--office/sofastats/sofastats.SlackBuild72
-rw-r--r--office/sofastats/sofastats.info10
4 files changed, 108 insertions, 0 deletions
diff --git a/office/sofastats/README b/office/sofastats/README
new file mode 100644
index 0000000000..a20c9bbe1b
--- /dev/null
+++ b/office/sofastats/README
@@ -0,0 +1,7 @@
+SOFA is a user-friendly statistics, analysis, & reporting program. It is free,
+with an emphasis on ease of use, learn as you go, and beautiful output.
+
+SOFA lets you display results in an attractive format ready to share. And SOFA
+will help you learn as you go.
+
+This requires pywebkitgtk and matplotlib.
diff --git a/office/sofastats/slack-desc b/office/sofastats/slack-desc
new file mode 100644
index 0000000000..f113480045
--- /dev/null
+++ b/office/sofastats/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sofastats: sofastats (Statistics Open For All)
+sofastats:
+sofastats: SOFA is a user-friendly statistics, analysis, & reporting program. It
+sofastats: is free, with an emphasis on ease of use, learn as you go, and
+sofastats: beautiful output.
+sofastats:
+sofastats: Homepage: http://www.sofastatistics.com
+sofastats:
+sofastats:
+sofastats:
+sofastats:
diff --git a/office/sofastats/sofastats.SlackBuild b/office/sofastats/sofastats.SlackBuild
new file mode 100644
index 0000000000..80a0380979
--- /dev/null
+++ b/office/sofastats/sofastats.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for sofa
+
+# Copyright (c) 2012 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Build history:
+#
+# 1 - Initial release.
+
+PRGNAM=sofastats
+VERSION=${VERSION:-1.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+DOCS="README.txt copyright"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf "$CWD/${PRGNAM}-${VERSION}.tar.gz"
+cd ${PRGNAM}-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$PRGNAM $PKG/usr/bin
+
+cp -r sofa_main/* $PKG/usr/share/$PRGNAM
+ln -sf /usr/share/$PRGNAM/start.py $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/sofastats/sofastats.info b/office/sofastats/sofastats.info
new file mode 100644
index 0000000000..98f3cc9156
--- /dev/null
+++ b/office/sofastats/sofastats.info
@@ -0,0 +1,10 @@
+PRGNAM="sofastats"
+VERSION="1.1.4"
+HOMEPAGE="http://www.sofastatistics.com"
+DOWNLOAD="https://sourceforge.net/projects/sofastatistics/files/sofastatistics/1.1.4/sofastats-1.1.4.tar.gz"
+MD5SUM="a52243651cd01d7b5bf4ed55fded0ad4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
+APPROVED="dsomero"